# Если выбран генератор Ninja, то в основном сборочном каталоге создаётся
# файл Makefile, который обрабатывается командой make и передаёт исполнение
# системе сборки ninja. Таким образом можно выполнять команду make,
# даже если правила сборки проекта сгенерированы для ninja.

include_guard(GLOBAL)

if(CMAKE_GENERATOR MATCHES Ninja AND PROJECT_IS_TOP_LEVEL)
  file(WRITE ${CMAKE_BINARY_DIR}/Makefile
    ".PHONY: build\n" "%:\n" "\t@ninja \$@\n" "build:\n" "\t@ninja\n")
endif()
